<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://krasrp.ru
 * @since      1.0.0
 *
 * @package    Wp_Zakup_krp
 * @subpackage Wp_Zakup_krp/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Wp_Zakup_krp
 * @subpackage Wp_Zakup_krp/includes
 * @author     Postnov AP <alpostnov@yandex.ru>
 */
class Wp_Zakup_krp_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'wp-zakup_krp',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
