<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://krasrp.ru
 * @since             1.0.0
 * @package           Wp_Zakup_krp
 *
 * @wordpress-plugin
 * Plugin Name:       wp-zakup_krp
 * Plugin URI:        https://krasrp.ru
 * Description:       This is a description of the plugin.
 * Version:           1.0.0
 * Author:            Postnov AP
 * Author URI:        https://krasrp.ru
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wp-zakup_krp
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'WP_ZAKUP_KRP_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wp-zakup_krp-activator.php
 */
function activate_wp_zakup_krp() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wp-zakup_krp-activator.php';
	Wp_Zakup_krp_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wp-zakup_krp-deactivator.php
 */
function deactivate_wp_zakup_krp() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wp-zakup_krp-deactivator.php';
	Wp_Zakup_krp_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_wp_zakup_krp' );
register_deactivation_hook( __FILE__, 'deactivate_wp_zakup_krp' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wp-zakup_krp.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_wp_zakup_krp() {

	$plugin = new Wp_Zakup_krp();
	$plugin->run();

}
run_wp_zakup_krp();
